List campaigns
curl --request GET \
--url https://app.loops.so/api/v1/campaigns \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.loops.so/api/v1/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.loops.so/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalResults": 123,
"returnedResults": 123,
"perPage": 123,
"totalPages": 123,
"nextCursor": "<string>",
"nextPage": "<string>"
},
"data": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"emailMessageId": "<string>",
"campaignGroupId": "<string>",
"mailingListId": "<string>",
"audienceSegmentId": "<string>",
"audienceFilter": {
"conditions": [
{
"type": "property",
"key": "<string>",
"value": "<string>"
}
]
},
"scheduling": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
]
}{
"message": "<string>"
}Campaigns
List campaigns
Retrieve a paginated list of campaigns.
GET
/
v1
/
campaigns
List campaigns
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
How many results to return in each request. Must be between 10 and 50. Default is 20.
A cursor to return a specific page of results. Cursors can be found from the pagination.nextCursor value in each response.
Last modified on July 20, 2026
Was this page helpful?
⌘I

